<html>
<head>
<title>TestNG:  Workflow</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Workflow</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>0/0/12</td>
</tr><tr>
<td>Started on:</td><td>Wed Oct 05 17:53:50 IST 2016</td>
</tr>
<tr><td>Total time:</td><td>0 seconds (58 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-skipped'>
<tr><td colspan='4' align='center'><b>SKIPPED CONFIGURATIONS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.stta.GCM.Workflow.checkCaseToRun()'><b>checkCaseToRun</b><br>Test class: com.stta.GCM.Workflow</td>
<td><div><pre>org.testng.SkipException: Workflow&apos;s CaseToRun Flag Is &apos;N&apos; Or Blank. So Skipping Execution Of Workflow
	at com.stta.GCM.Workflow.checkCaseToRun(Workflow.java:60)
... Removed 23 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace1653361344", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1653361344'><pre>org.testng.SkipException: Workflow&apos;s CaseToRun Flag Is &apos;N&apos; Or Blank. So Skipping Execution Of Workflow
	at com.stta.GCM.Workflow.checkCaseToRun(Workflow.java:60)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:85)
	at org.testng.internal.Invoker.invokeConfigurationMethod(Invoker.java:510)
	at org.testng.internal.Invoker.invokeConfigurations(Invoker.java:211)
	at org.testng.internal.Invoker.invokeConfigurations(Invoker.java:138)
	at org.testng.TestRunner.beforeRun(TestRunner.java:648)
	at org.testng.TestRunner.run(TestRunner.java:616)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:359)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:354)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:312)
	at org.testng.SuiteRunner.run(SuiteRunner.java:261)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:86)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1215)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1211)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1140)
	at org.testng.TestNG.run(TestNG.java:1048)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:126)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:152)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:57)
</pre></div></td>
<td>0</td>
<td>null</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-skipped'>
<tr><td colspan='4' align='center'><b>SKIPPED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_010/TC_DF-37_037, user10, gcMtest2015, , , , , , , , , , , , , Level1Reject</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_013/TC_DF-37_038, user10, gcMtest2015, Work.Flow01, Work.Flow02, Work.Flow03, approve, , , , , , , , , ContractApproval3/3</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_014/TC_DF-37_016, user10, gcMtest2015, Work.Flow01, Work.Flow02, Work.Flow03, Reject, , , , , , , , , Level1Reject</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_020/TC_DF-37_039, user10, gcMtest2015, , , , , Work.Flow04, Work.Flow05, Work.Flow06, approve, , , , , ContractApproval3/3</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_021/TC_DF-37_022, user10, gcMtest2015, , , , , Work.Flow04, Work.Flow05, Work.Flow06, Reject, , , , , Level2Reject</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_024/TC_DF-37_040, user10, gcMtest2015, , , , , , , , , Work.Flow07, Work.Flow08, Work.Flow09, approve, ContractApproval3/3</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_025/TC_DF-37_026, user10, gcMtest2015, , , , , , , , , Work.Flow07, Work.Flow08, Work.Flow09, Reject, Level3Reject</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_027, user10, gcMtest2015, Work.Flow01, Work.Flow02, Work.Flow03, approve, , , , , , , , , ContractApproval3/3</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_029, user09, gcMtest2015, , , , , , , , , , , , , BothLineItem</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_030, user09, gcMtest2015, , , , , , , , , , , , , Contract34</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_034/TC_DF-37_035, user09, gcMtest2015, , , , , , , , , , , , , ContractApproval3/3</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
<tr>
<td title='com.stta.GCM.Workflow.WorkflowTest()'><b>WorkflowTest</b><br>Test class: com.stta.GCM.Workflow<br>Parameters: TC_DF-37_011, user10, gcMtest2015, , , , , , , , , , , , , Level3Reject</td>
<td></td>
<td>0</td>
<td>com.stta.GCM.Workflow@5cb9f472</td></tr>
</table><p>
</body>
</html>